<!DOCTYPE linuxdoc PUBLIC "-//Xorg//DTD linuxdoc//EN" [
<!ENTITY % defs SYSTEM "defs.ent"> %defs;
]>

<article>

<title>Release Notes for X11R&relvers;
<author>The X.Org Foundation
<and>The XFree86 Project, Inc.
<date>&reldate;

<abstract>

These release notes contains information about features and their status in the
X.Org Foundation X11R&relvers; release.
It is based on the XFree86 4.4RC2 RELNOTES document published by 
The XFree86&trade; Project, Inc.
There are significant updates and differences in the X.Org release
as noted below.
</abstract>

<toc>

<p>
<sect>Introduction to the X11R&relvers Release
<p>
The release numbering is based on the original MIT X numbering system.
X11 refers to the version of the network protocol that the X Window
system is based on: Version 11 was first released in 1988 and has been
stable for 15 years, with only upward compatible additions to the
core X protocol, a record of stability envied in computing.
Formal releases of X started with X version 9 from MIT;
the first commercial X products were based on X version 10.
The MIT X Consortium and its successors, the X Consortium, the Open Group
X Project Team, and the X.Org Group released versions X11R3 through X11R6.6,
before the founding of the X.Org Foundation.
<p>
There will be future maintenance releases in the X11R6.8.x series.
However, efforts are well underway to split the X distribution into its
modular components to allow for easier maintenance and independent
updates.  We expect a transitional period while both X11R6.8 releases
are being fielded and the modular release completed and deployed while
both will be available as different consumers of X technology have
different constraints on deployment. We have not yet decided how the
modular X releases will be numbered.
<p>
We encourage you to submit bug fixes and enhancements to bugzilla.freedesktop.org
using the xorg product, and discussions on this server take
place on <email>xorg@freedesktop.org</email>.

X11R&relvers; comes with a graphical configuration tool called 
"<tt>xorgcfg</tt>",
which also has a text mode interface and can be used to create an initial
configuration file. It can also be used to customise existing
configurations.

Next in the order of configuration preferences is to use the Xorg
server's ability to create a starting configuration file.  Run as root:
<tscreen><verb>Xorg -configure</verb></tscreen> and follow the instructions.

Finally, if all else fails, the trusty old standby text-based tool
"<tt>xorgconfig</tt>" can also be used for generating X server config
files.

At least one, and hopefully, all of these configuration options will
give you a reasonable starting point for a suitable configuration
file.  With the automatic mechanism you might even find that you don't
need one!  

If you do need to customise the configuration file, see the <htmlurl
name="xorg.conf manual page" url="xorg.conf.5.html">.  You can also
check the driver-specific manual pages and the related documentation
(found at <ref id="drivertables" name="tables below"> also.

Before downloading  the binary distributions for this release, please
have a quick read through the <htmlurl name="Installation Document"
url="Install.html">.  It may save you some time and also help you figure out
which of the binary releases you need.

<![ %updaterel [
The next sections describe what has changed in the update release(s)
as well as what is new in the latest full release (&fullrelvers;).
]]>
<![ %fullrel [
The next section describes what is new in the latest version (&relvers;)
compared with the previous full release (&prevrelvers;).
]]>
The other sections below describe some of the new features and changes
between 3.3.x and 4.0.  There are lots of new features, and we definitely
don't have enough space to cover them all here.

</sect>

<![ %updaterel [
<sect>Summary of updates in &relvers;.
<p>

</sect>
]]>

<sect>Summary of new features in X11R&relvers;
<P>
This is a sampling of the new features in X11R&relvers;.  A more
complete list of changes can be found in the ChangeLog file that is part of
the X source tree.
<p>

<itemize>
<item>Freetype was updated to version 2.1.8. But installing freetype
from X distributions would often or usually result in the replacement
or use of "stale" versions of freetype. On Linux, FreeBSD, Solaris 10,
and SCO5, therefore, X11R&relvers; will by default use the version
of freetype2 that is installed on the system. If your system doesn't
come with an installed freetype2 and you wish to use the version
supplied with this distribution, please add:

  #define HasFreetype2 NO 

to config/cf/host.def.

<item>The XTT font module and FreeType1 have been retired because FreeType2 subsumes 
their functionality
<item>Retire old PS Type1 font rasterizer (except for CID font usage) since the FreeType2 rasterizer now handles PS Type1 (*.pfa, *.pfb)
<item>Render implementation fixes
<item>Updated x86emu and resynced with upstream at Scitech
<item>Updated SiS driver
<item>Updated Nvidia driver (opensource version)
<item>Render acceleration for ATI's R100 and R200-series cards
<item>Substantial speedups in the software implementation of the
render extensions when compiled with gcc 3.4 on the i386 architecture.
<item>Infrastructure for rotation support in drivers
<item>New Trapezoid specification for the Render extension
	<itemize>
          <item>Respecify Render to include only 'normal' traps
          <item>Allow backward compatibility but internally covert to new format
	</itemize>
<item>Software mouse cursor is now based on the Damage extension
<item>A new keyboard driver is enabled by default. The old driver is disabled unless explicitly compiled in by defining the macro |USE_DEPRECATED_KEYBOARD_DRIVER|.
<item>All extensions (except Xserver-specific extensions "DMX" and "XpExtension") can now be
enabled/disabled from the configuration file and from the command line.
<item>Mac OS X updates:
	<itemize>
         <item>Support dynamic screen configuration changes in rootless mode
         <item>Added option to always use Mac command key equivalents
         <item>Interpret scroll wheel mouse events correctly when shift is held down
         <item>Added trivial Xinput support
         <item>Fixed launch of X clients from Finder with a space in their path
         <item>Fixed some GLX rendering problems on Mac OS X 10.2 and earlier
	</itemize>
<item>Updated xterm version
</itemize>

<sect1>New X extensions
<P>
X11R&relvers; includes four new extensions:

<descrip>

<tag>XFixes</tag> 

The XFixes extension is a collection of improvements for deficiencies
in the core protocol, including

<itemize>
<item>Notification when a selection changes <item>Server-side region
objects
<item>Allow clients to track the cursor image
</itemize>

<tag>Damage</tag>

The Damage extension allows a client to be notified whenever something
is drawn to a window. This feature is useful for VNC servers, for
screen magnifiers, and for clients using the Composite extension to
update the screen.

<tag>Composite (experimental)</tag>

The Composite extension allows a client to request that all drawing to
window is redirected to off-screen buffer. Though the Damage extension the
client, called a 'compositing manager', can know which areas of a window is
modified and render the windows on screen. By making use of the drawing
requests from both the core protocol and the RENDER extension, the
compositing manager can create special effects, such as translucennt windows.

    The Composite extension is considered experimental in X11R&relvers; and is
turned off by default.

<tag>XEvIE (X Event Interception Extension) (experimental)</tag>

XEvIE is an extension to intercept core keyboard and pointing device
input It allows consumation, modification or synthesis of input events
before these are sent to their final destination (i.e., interested
clients). This feature is required by the GNOME accessibility project.

The XEvIE extension is considered experimental in X11R&relvers; and is
turned off by default.

</descrip>

As noted above, some extensions are disabled by default.  They can be
enabled either in the <tt>xorg.conf</tt> configuration file or on the
<tt>Xorg</tt> command-line.  For example, to enable the Composite
extension, you could include a section like the following in the
<tt>xorg.conf</tt> file:

<verb>
Section "Extensions"
        Option "Composite" "Enable"
EndSection
</verb>

or you could put <tt>+extension Composite</tt> on your command line.


<sect1>
Distributed Multihead X (DMX)
<p>
X11R&relvers; includes a new X server, called <tt>Xdmx</tt>, that allows
users to create a single unified desktop from multiple running X
servers.  It works by creating a local screen on each of these running X
servers, which can be distributed across a network, and then presents
that set of screens to the user.  When combined with Xinerama, a unified
workspace, ranging from large display walls to small two display
enviroments, can be created.
<p>
More information about DMX can be found on the <url name="DMX Project's
web site" url="http://dmx.sf.net/">, including how to configure and use
<tt>Xdmx</tt>.

<sect1>
Xprint updates
<p>
<itemize>
  <item>Integrated various fixes from <url name="xprint.mozdev.org" url="http://xprint.mozdev.org"> (more or less the whole codebase has been merged)
  <item>Integrated various fixes from Sun Microsystems
  <item>OpenGL is now supported for printing
  <item>New set of maintenance tools for the Xprint server (xplsprinters, xprehashprinterlist, etc.)
  <item>Added new XprintUtils client library to make the usage of Xprint easier
  <item>Various other features and fixes integrated
  <item>Athena toolkit now has print support (XawPrintShell) which is included
        in a new version of that library (Xaw8)
  <item>Various applications/tools like xman, xedit, xlogo, xlsfonts, etc.
        now have print support
</itemize>

<sect1>Updated Mesa and DRI from upstream sources
<P>	
  <itemize>
    <item>Mesa version has been updated to 6.2.1 (in X11R6.8.2)
    <item>More OpenGL extensions
    <item>MergedFB for Radeon (Dualhead DRI support on these cards)
    <item>Many GLX fixes
    <item>Working SiS DRI driver
    <item>Major Radeon and R200 DRI driver updates
    <item>fbconfigs support
    <item>Beginnings of pbuffer support (indirect only, and only in specific circumstances).
    <item>Merge Mach64 DRI support (Eric Anholt, July 23)
  </itemize>

<sect1>Video driver enhancements
<p>
<itemize>
  <item>ATI Radeon driver updates:
       <itemize>
        <item>Merged Framebuffer support (dualhead with DRI)
        <item>DynamicClocks option (reduced power usage)
        <item>Render acceleration (r100, r200 chips only)
        <item>Support for new ATI chips (R420/M18, R423, RV370/M22, RV380/M24, RS300)
        <item>DRI support for IGP chips
        <item>Xv gamma correction
        <item>Updated 3D drivers
        <item>Many other small fixes
       </itemize>
  <item>Chips driver update
       <itemize>
        <item>Improved BE support
       </itemize>
  <item>MGA driver updates
       <itemize>
        <item>Support for DDC and DPMS on second head on G400
        <item>Updated 3D driver
       </itemize>
  <item>Neomagic driver updates
       <itemize>
        <item>Support for Xv on pre-nm2160 chips
        <item>Pseudocolor overlay mode (=PseudoColor emulation)
        <item>Improved support for lowres double scan modes
       </itemize>
  <item>i810 driver updates
       <itemize>
        <item>Dualhead support (i830+)
        <item>i915 support
        <item>New 3D driver (i830+)
        <item>i810 driver is now supported for AMD64
       </itemize>
  <item>S3 driver updates
       <itemize>
        <item>Support for additional IBM RAMDACS
       </itemize>
  <item>Savage driver updates
       <itemize>
        <item>Pseudocolor overlay mode
       </itemize>
  <item>SiS driver updates include
       <itemize>
        <item>output device hotplugging
        <item>lots of fixes for 661, 741, 760
        <item>extended interface for SiSCtrl?
        <item>extended LCD handling (allow more modes)
        <item>HDTV support (480p, 480i, 720p. 1080i; 315/330 series)
        <item>Added video blitter Xv adapter (315/330 series)
        <item>extended RENDER acceleration
        <item>SiS driver now supported on AMD64
       </itemize>
  <item>New Voodoo driver (Alan Cox)
       <itemize>
        <item>Provides native (glide-less) acceleration and mode setup for voodoo/voodoo2 boards
       </itemize>
</itemize>

<sect>Drivers
<P>

<sect1>Video Drivers
<p>

X11R&relvers; includes the following video drivers:

<table border=1 align="center">
<tabular ca="|l|l|l|">
   <tabrow>Driver Name<colsep>Description<colsep>Further Information</tabrow>
   <hline>
   <tabrow><tt>apm</tt><colsep>Alliance Pro Motion<colsep><htmlurl
		name="README.apm" url="apm.html"></tabrow>
   <tabrow><tt>ark</tt><colsep>Ark Logic<colsep>&nbsp;</tabrow>
   <tabrow><tt>ati</tt><colsep>ATI<colsep><htmlurl
		name="README.ati" url="ati.html">, <htmlurl
		name="README.r128" url="r128.html">, <htmlurl
		name="r128(4)" url="r128.4.html">, <htmlurl
		name="radeon(4)" url="radeon.4.html"></tabrow>
   <tabrow><tt>chips</tt><colsep>Chips &amp; Technologies<colsep><htmlurl
		name="README.chips" url="chips.html">, <htmlurl
		name="chips(4)" url="chips.4.html"></tabrow>
   <tabrow><tt>cirrus</tt><colsep>Cirrus Logic<colsep>&nbsp;</tabrow>
   <tabrow><tt>cyrix</tt> (*)<colsep>Cyrix MediaGX<colsep><htmlurl
		name="README.cyrix" url="cyrix.html"></tabrow>
   <tabrow><tt>fbdev</tt><colsep>Linux framebuffer device<colsep><htmlurl
		name="fbdev(4)" url="fbdev.4.html"></tabrow>
   <tabrow><tt>glide</tt><colsep>Glide2x (3Dfx)<colsep><htmlurl
		name="glide(4)" url="glide.4.html"></tabrow>
   <tabrow><tt>glint</tt><colsep>3Dlabs, TI<colsep><htmlurl
		name="glint(4)" url="glint.4.html"></tabrow>
   <tabrow><tt>i128</tt><colsep>Number Nine<colsep><htmlurl
		name="README.I128" url="I128.html">, <htmlurl
		name="i128(4)" url="i128.4.html"></tabrow>
   <tabrow><tt>i740</tt><colsep>Intel i740<colsep><htmlurl
		name="README.i740" url="i740.html"></tabrow>
   <tabrow><tt>i810</tt><colsep>Intel i8xx<colsep><htmlurl
		name="README.i810" url="i810.html">, <htmlurl
		name="i810(4)" url="i810.4.html"></tabrow>
   <tabrow><tt>imstt</tt><colsep>Integrated Micro Solns<colsep>&nbsp;</tabrow>
   <tabrow><tt>mga</tt><colsep>Matrox<colsep><htmlurl
		name="mga(4)" url="mga.4.html"></tabrow>
   <tabrow><tt>neomagic</tt><colsep>NeoMagic<colsep><htmlurl
		name="neomagic(4)" url="neomagic.4.html"></tabrow>
   <tabrow><tt>newport</tt> (-)<colsep>SGI Newport<colsep><htmlurl
		name="README.newport" url="newport.html">, <htmlurl
		name="newport(4)" url="newport.4.html"></tabrow>
   <tabrow><tt>nsc</tt><colsep>National Semiconductor<colsep><htmlurl
		name="nsc(4)" url="nsc.4.html"></tabrow>
   <tabrow><tt>nv</tt><colsep>NVIDIA<colsep><htmlurl
		name="nv(4)" url="nv.4.html"></tabrow>
   <tabrow><tt>rendition</tt><colsep>Rendition<colsep><htmlurl
		name="README.rendition" url="rendition.html">, <htmlurl
		name="rendition(4)" url="rendition.4.html"></tabrow>
   <tabrow><tt>s3</tt><colsep>S3 (not ViRGE or Savage)<colsep>&nbsp;</tabrow>
   <tabrow><tt>s3virge</tt><colsep>S3 ViRGE<colsep><htmlurl
		name="README.s3virge" url="s3virge.html">, <htmlurl
		name="s3virge(4)" url="s3virge.4.html"></tabrow>
   <tabrow><tt>savage</tt><colsep>S3 Savage<colsep><htmlurl
		name="savage(4)" url="savage.4.html"></tabrow>
   <tabrow><tt>siliconmotion</tt><colsep>Silicon Motion<colsep><htmlurl
		name="siliconmotion(4)" url="siliconmotion.4.html"></tabrow>
   <tabrow><tt>sis</tt><colsep>SiS<colsep><htmlurl
		name="README.SiS" url="SiS.html">, <htmlurl
		name="sis(4)" url="sis.4.html"></tabrow>
   <tabrow><tt>sunbw2</tt> (+)<colsep>Sun bw2<colsep>&nbsp;</tabrow>
   <tabrow><tt>suncg14</tt> (+)<colsep>Sun cg14<colsep>&nbsp;</tabrow>
   <tabrow><tt>suncg3</tt> (+)<colsep>Sun cg3<colsep>&nbsp;</tabrow>
   <tabrow><tt>suncg6</tt> (+)<colsep>Sun GX and Turbo GX<colsep>&nbsp;</tabrow>
   <tabrow><tt>sunffb</tt> (+)<colsep>Sun Creator/3D, Elite 3D<colsep>&nbsp;</tabrow>
   <tabrow><tt>sunleo</tt> (+)<colsep>Sun Leo (ZX)<colsep>&nbsp;</tabrow>
   <tabrow><tt>suntcx</tt> (+)<colsep>Sun TCX<colsep>&nbsp;</tabrow>
   <tabrow><tt>tdfx</tt><colsep>3Dfx<colsep><htmlurl
		name="tdfx(4)" url="tdfx.4.html"></tabrow>
   <tabrow><tt>tga</tt><colsep>DEC TGA<colsep><htmlurl
		name="README.DECtga" url="DECtga.html"></tabrow>
   <tabrow><tt>trident</tt><colsep>Trident<colsep><htmlurl
		name="trident(4)" url="trident.4.html"></tabrow>
   <tabrow><tt>tseng</tt><colsep>Tseng Labs<colsep>&nbsp;</tabrow>
   <tabrow><tt>via</tt><colsep>VIA<colsep><htmlurl
		name="via(4)" url="via.4.html"></tabrow>
   <tabrow><tt>vesa</tt><colsep>VESA<colsep><htmlurl
		name="vesa(4)" url="vesa.4.html"></tabrow>
   <tabrow><tt>vga</tt><colsep>Generic VGA<colsep><htmlurl
		name="vga(4)" url="vga.4.html"></tabrow>
   <tabrow><tt>vmware</tt><colsep>VMWare guest OS<colsep><htmlurl
		name="vmware(4)" url="vmware.4.html"></tabrow>
</tabular>
</table>

Drivers marked with (*) are present in a preliminary form in this release,
but are not complete and/or stable yet.
<p>

Drivers marked with (+) are for Linux/Sparc only.
<p>

Drivers marked with (-) are for Linux/mips only.
<p>

Darwin/Mac OS X uses IOKit drivers and does not use the module loader drivers
listed above. Further information can be found in
<htmlurl name="README.Darwin" url="Darwin.html">.

X11R&relvers; includes the following print drivers:

<sect1>Print Drivers
<p>

<table border=1 align="center">
<tabular ca="|l|l|l|">
   <tabrow>Driver Name<colsep>Description<colsep>Further Information</tabrow>
   <hline>
   <tabrow><tt>PostScript</tt><colsep>PostScript driver<colsep>&nbsp;</tabrow>
   <tabrow><tt>PCL</tt><colsep>PCL color driver<colsep>&nbsp;</tabrow>
   <tabrow><tt>PCL-MONO</tt><colsep>PCL monocrome driver<colsep>&nbsp;</tabrow>
   <tabrow><tt>RASTER</tt><colsep>Monocrome raster driver (XWD, PS, PCL)<colsep>&nbsp;</tabrow>
<!-- not yet
   <tabrow><tt>SVG</tt><colsep>Scaleable Vector Graphics driver<colsep>&nbsp;</tabrow>
-->
</tabular>
</table>

Drivers marked with (*) are available for Linux only.

X11R&relvers; includes the following input drivers:

<sect1>Input Drivers
<p>

<table border=1 align="center">
<tabular ca="|l|l|l|">
   <tabrow>Driver Name<colsep>Description<colsep>Further Information</tabrow>
   <hline>
<!--
   <tabrow><tt>acecad</tt><colsep>AceCad<colsep>&nbsp;</tabrow>
-->
   <tabrow><tt>aiptek(*)</tt><colsep>Aiptek USB tablet<colsep><htmlurl
		name="aiptek(4)" url="aiptek.4.html"></tabrow>
   <tabrow><tt>calcomp</tt><colsep>Calcomp<colsep>&nbsp;</tabrow>
   <tabrow><tt>citron</tt><colsep>Citron<colsep><htmlurl
		name="citron(4)" url="citron.4.html"></tabrow>
   <tabrow><tt>digitaledge</tt><colsep>DigitalEdge<colsep>&nbsp;</tabrow>
   <tabrow><tt>dmc</tt><colsep>DMC<colsep><htmlurl
		name="dmc(4)" url="dmc.4.html"></tabrow>
   <tabrow><tt>dynapro</tt><colsep>Dynapro<colsep>&nbsp;</tabrow>
   <tabrow><tt>elographics</tt><colsep>EloGraphics<colsep>&nbsp;</tabrow>
   <tabrow><tt>fpit</tt><colsep>Fujitsu Stylistic Tablet PCs<colsep><htmlurl
		name="fpit(4)" url="fpit.4.html"></tabrow>
   <tabrow><tt>hyperpen</tt><colsep>Aiptek HyperPen 6000<colsep>&nbsp;</tabrow>
   <tabrow><tt>js_x</tt><colsep>JamStudio pentablet<colsep><htmlurl
		name="js_x(4)" url="js_x.4.html"></tabrow>
   <tabrow><tt>kbd</tt><colsep>generic keyboards (loadable module)<colsep><htmlurl
		name="kbd(4)" url="kbd.4.html"></tabrow>
   <tabrow><tt>keyboard</tt><colsep>generic keyboards (builtin driver)<colsep><htmlurl
		name="keyboard(4)" url="keyboard.4.html"></tabrow>
   <tabrow><tt>microtouch</tt><colsep>MicroTouch<colsep>&nbsp;</tabrow>
   <tabrow><tt>mouse</tt><colsep>most mouse devices<colsep><htmlurl
		name="mouse(4)" url="mouse.4.html"></tabrow>
   <tabrow><tt>mutouch</tt><colsep>MicroTouch<colsep>&nbsp;</tabrow>
   <tabrow><tt>palmax</tt><colsep>Palmax PD1000/PD1100<colsep><htmlurl
		name="palmax(4)" url="palmax.4.html"></tabrow>
   <tabrow><tt>penmount</tt><colsep>PenMount<colsep>&nbsp;</tabrow>
   <tabrow><tt>spaceorb</tt><colsep>SpaceOrb<colsep>&nbsp;</tabrow>
   <tabrow><tt>summa</tt><colsep>SummaGraphics<colsep>&nbsp;</tabrow>
   <tabrow><tt>tek4957</tt><colsep>Tektronix 4957 tablet<colsep><htmlurl
		name="tek4957(4)" url="tek4957.4.html"></tabrow>
   <tabrow><tt>ur98(*)</tt><colsep>Union Reality UR-F98 headtracker<colsep><htmlurl
		name="ur98(4)" url="ur98.4.html"></tabrow>
   <tabrow><tt>void</tt><colsep>dummy device<colsep><htmlurl
		name="void(4)" url="void.4.html"></tabrow>
   <tabrow><tt>wacom</tt><colsep>Wacom tablets<colsep><htmlurl
		name="wacom(4)" url="wacom.4.html"></tabrow>
</tabular>
</table>

Drivers marked with (*) are available for Linux only.

<sect>Overview of X11R&relvers;
<p>
On most platforms, X11R&relvers; has a single X server binary called <tt>Xorg</tt>.
This binary can either have one or more video and input drivers linked in
statically, or more usually, dynamically, and in that manner load the
video drivers, input drivers, and other modules that are needed.

X11R&relvers; has X server support for most UNIX&reg; and UNIX-like
operating systems on Intel/x86 platforms, plus support for Linux and
some BSD OSs on Alpha, PowerPC, IA-64, AMD64, Sparc, and Mips platforms,
and for Darwin on PowerPC.

<sect1>Loader and Modules
<p>
The X server has a built-in run-time loader, which can load
normal object files and libraries in most of the commonly used formats.
The loader does not rely on an operating system's native dynamic
loader support and it works on platforms that do not provide this feature.
This  allows  for the modules to be operating system independent (although
not, of course, CPU architecture independent) which means that a module
compiled on Linux/x86 can be loaded by an X server running on Solaris/x86,
or FreeBSD, or even OS/2.

A main benefit of this, is that when modules are updated, they do not
need to be recompiled for every different operating system.  The loader
in version &relvers; has support for Intel (x86), Alpha and PowerPC
platforms.  It also has preliminary support for Sparc platforms.

The X server makes use of modules for video drivers, X server extensions,
font rasterisers, input device drivers, framebuffer layers (like mfb,
cfb, etc), and internal components used by some drivers (like XAA),

The module interfaces (both API and ABI) used in this release are subject
to change without notice.  While we will attempt to provide backward
compatibility for the module interfaces as of the 4.0 release (meaning
that 4.0 modules will work with future core X server binaries), we cannot
guarantee this.  Compatibility in the other direction is explicitly
not guaranteed because new modules may rely on interfaces added in new
releases.

<bf>Note about module security</bf>
<quote>
	The X server runs with root privileges, i.e., 
	the X server loadable modules also run with these privileges.
	For this reason we recommend that all users be careful to only
	use loadable modules from reliable sources,  otherwise the
	introduction of viruses and contaminated code can occur and
	wreak havoc on your system.  We hope to have a mechanism for
	signing/verifying the modules that we provide available in a
	future release.
</quote>

<sect1>Configuration File <label id="config">
<p>

The X server uses a configuration file as the primary mechanism
for providing configuration and run-time parameters.  The configuration
file format is described in detail in the <htmlurl name="xorg.conf(5)"
url="xorg.conf.5.html"> manual page.

The X server has support for automatically determining an initial
configuration on most platforms, as well as support or generating a basic
initial configuration file.

<sect1>Command Line Options
<p>

Command line options can be used to override some default parameters and
parameters provided in the configuration file.  These command line options
are described in the <htmlurl name="Xorg(1)"
url="Xorg.1.html"> manual page.
  
<sect1>XAA
<p>

The XFree86 Acceleration Architecture (XAA) was completely rewritten
from scratch for XFree86 4.x and is used in X11R&relvers;.  
Most drivers implement acceleration by
making use of the XAA module.
The Xorg server will accept modules built either for XFree86 4.4
servers or its own.

<sect1>Multi-head
<p>
Some multi-head configurations are supported in 
X11R&relvers;, primarily with multiple PCI/AGP cards.

One of the main problems is with drivers not sufficiently initialising
cards that were not initialised at boot time.  This has been improved
somewhat with the INT10 support that is used by most drivers (which
allows secondary card to be "soft-booted", but in some cases there are
other issues that still need to be resolved.  Some combinations can be
made to work better by changing which card is the primary card (either
by using a different PCI slot, or by changing the system BIOS's preference
for the primary card).

<sect1>Xinerama
<p>
Xinerama is an X server extension that allows multiple physical screens
to behave as a single screen.  With traditional multi-head in X11,
windows cannot span or cross physical screens.  Xinerama removes this
limitation.  Xinerama does, however, require that the physical screens
all have the same root depth, so it isn't possible, for example, to use
an 8-bit screen together with a 16-bit screen in Xinerama mode.

Xinerama is not enabled by default, and can be enabled with the
<tt>+xinerama</tt> command line option for the X server.

Xinerama was included with X11R6.4.  The version included in X11R&relvers;
was completely rewritten for improved performance and correctness.

Known problems:
<itemize>
  <item>Most window managers are not Xinerama-aware, and so some
	operations like window placement and resizing might not behave
	in an ideal way.  This is an issue that needs to be dealt with
	in the individual window managers, and isn't specifically an
	X server problem.

</itemize>

<sect1>DGA version 2
<p>

DGA 2.0 is included in &relvers;.
Documentation for the client libraries can be found in the <htmlurl
name="XDGA(3)" url="XDGA.3.man"> man page.  A good degree of backwards
compatibility with version 1.0 is provided.


<sect1>DDC
<p>
The VESA&reg; Display Data Channel (DDC&trade;) standard allows the monitor
to tell the video card (or on some cases the computer directly) about
itself; particularly the supported screen resolutions and refresh rates.

Partial or complete DDC support is available in most of the video drivers.
DDC is enabled by default, but can be disabled with a "Device" section
entry:  <tt>Option "NoDDC"</tt>.  We have support for DDC versions 1
and 2; these can be disabled independently with <tt>Option "NoDDC1"</tt>
and <tt>Option "NoDDC2"</tt>.

At startup the server prints out DDC information from the display, and
can use this information to set the default monitor parameters, or to
warn about monitor sync limits if those provided in the configuration file
don't match those that are detected.

<sect2>Changed behavior caused by DDC.
<p>
Several drivers uses DDC information to
set the screen size and pitch.  This can be overridden by explicitly
resetting it to the and non-DDC default value 75 with the <tt>-dpi
75</tt> command line option for the X server, or by specifying appropriate
screen dimensions with the "DisplaySize" keyword in the "Monitor" section
of the config file.


<sect1>GLX and the Direct Rendering Infrastructure (DRI)
<p>

Direct rendered OpenGL&reg; support is provided for several hardware
platforms by the Direct Rendering Infrastructure (DRI).  Further information
about DRI can be found at the <url name="DRI Project's web site"
url="http://dri.sf.net/">.  The 3D core rendering component is provided by
<url name="Mesa" url="http://www.mesa3d.org">.

<sect1>XVideo Extension (Xv)
<p>
The XVideo extension is supported in X11R6.7.x and newer releases.
An XvQueryPortAttributes function has been added as well as
support for XvImages.  XvImages are XImages in alternate color spaces 
such as YUV and can be passed to the server through shared memory
segments.  This allows clients to display YUV data with high quality
hardware scaling and filtering.

<sect1>X Rendering Extension (Render) <label id="render">
<p>

The X Rendering extension provides a 2D rendering model that more
closely matches application demands and hardware capabilities.  It provides
a rendering model derived from Plan 9 based on Porter/Duff image
composition rather than binary raster operations.

<p>
Using simple compositing operators provided by most hardware, Render
can draw anti-aliased text and geometric objects as well as perform 
translucent image overlays and other image operations not possible with 
the core X rendering system.

<p>
Unlike the core protocol, Render provides no font support for applications,
rather it allows applications to upload glyphs for display on the screen.
This allows the client greater control over text rendering and complete
access to the available font information while still providing hardware
acceleration.  The Xft library provides font access for
Render applications.
	
<sect2>The Xft Library
<p>

On the client side, the Xft library provides access to fonts for
applications using the FreeType library, version 2.  One 
important thing to note is that Xft uses the vertical size of the monitor 
to compute accurate pixel sizes for provided point sizes; if your monitor 
doesn't provide accurate information via DDC, you may want to add that 
information to <tt>xorg.conf</tt>.

<p>

To allow a graceful transition for applications moving from core text
rendering to the Render extension, Xft can use either the core rendering
requests or the Render extension for text.  
See the section on FreeType support in Xft for instructions on
configuring X11R&relvers; to use an existing FreeType installation.

<p>
The Xft library uses configuration files, <tt>/etc/fonts/fonts.conf</tt>
and <tt>/etc/fonts/local.conf</tt>, which
contains information about which directories contain font files and also
provides a sophisticated font aliasing mechanism.  Documentation for that
file is included in the
<htmlurl name="Xft(3)" url="Xft.3.man">,
<htmlurl name="fontconfig(3)" url="fontconfig.3.man"> and
<htmlurl name="fonts.conf(4)" url="fonts.conf.4.man">
man pages.

</sect2>

<sect2>Application Support For Anti-Aliased Text
<p>

Only four applications have been modified in X11R&relvers; to work 
with the Render extension and the Xft and FreeType libraries to provide 
anti-aliased text: xterm, xditview, x11perf and xclock.  Migration of other 
applications may occur in future releases.

<p>
By default, xterm uses core fonts through the standard core API.  It has
a command line option and associated resource to direct it to use
Xft instead:
<itemize>
  <item><tt>-fa</tt> family / <tt>.VT100.faceName:</tt> family.  Selects the 
	font family to use.
</itemize>

<p>
Xditview will use Xft instead of the core API by default.  X11perf 
includes tests to measure the performance of text rendered in three ways, 
anti-aliased, anti-aliased with sub-pixel sampling and regular chunky 
text, but through the Render extension, a path which is currently somewhat
slower than core text.
<p>
Xclock uses the Render extension to draw the analog face and shares the -fa
option and faceName resources with xterm to select a font for the digital
mode.
</sect2>

<sect1>Other extensions
<p>

The XFree86-Misc extension has not been fully ported to the new server
architecture yet.  This should be completed in a future release.

The XFree86-VidModeExtension extension has been updated, and mostly ported
to the new server architecture.  The area of mode validation needs further
work, and the extension should be used with care.  This extension has
support for changing the gamma setting at run-time, for modes where this
is possible.  The <tt>xgamma</tt> utility makes use of this feature.
Compatibility with the 3.3.x version of the extension is provided.
The missing parts of this extension and some new features should be
completed in a future release.


<!--
<sect>X libraries and clients
<p>
-->

<sect1>xedit
<p>

Xedit has several new features, including:
<itemize>
  <item>An embedded lisp interpreter that allows easier extension of the editor.
  <item>Several new syntax highlight modes, and indentation rules for C and Lisp.
  <item>Flexible search/replace interface that allows regex matches.
  <item>Please refer to <tt><htmlurl name="xedit(1)" url="xedit.1.html"></tt>
	for more details.
  <item>Support for printing via Xprint.
</itemize>

<!--
<sect>Fonts and Internationalisation
<p>
-->

<sect1>Font support
<p>

Details about the font support in X11R&lastfullrelvers;.x can be found
in the <htmlurl name="README.fonts" url="fonts.html"> document.

<sect1>TrueType support
<p>

X11R6.7 came with two TrueType backends.  The functionality from the
`X-TrueType' (="XTT") backend has been integrated into the `FreeType'
backend which is designed to transparently support all of the functionality
from the `X-TrueType' backend with the exception of the font encoding
libraries; the `FreeType' backend uses only the fontenc-based encoding
system.

<sect1>CID font support
<p>

Support for CID-keyed fonts is included in X11R&relvers;
The CID-keyed font format was designed by <url name="Adobe Systems"
url="http://www.adobe.com"> for fonts with large character sets.  The
CID-keyed font support in X11R&relvers; was donated by <url name="SGI"
url="http://www.sgi.com">.  See the <htmlurl name="LICENSE"
url="LICENSE.html"> document for a copy of the CID Font Code Public
License.

<sect1>Internationalisation of the scalable font backends
<p>

X11R&relvers; has a ``fontenc'' layer to allow the scalable font backends to
use a common method of font re-encoding.  This re-encoding makes it possible
to uses fonts in encodings other than their their native encoding.  This
layer is used by the Type1, Speedo and FreeType backends.

<sect1>Large font optimisation
<p>

The glyph metrics array, which all the X clients using a particular font
have access to, is placed in shared memory, so as to reduce redundant
memory consumption.  For non-local clients, the glyph metrics array is
transmitted in a compressed format.

<sect1>Unicode/ISO 10646 support
<p>
What is included in X11R&relvers;

<itemize>
  <item>All ``-misc-fixed-*'' BDF fonts are now available in the
        ISO10646-1 encoding and cover at least the 614 characters
        found in ISO 8859-{1-5,7-10,14,15}, CP1252, and MES-1. The
        non-bold fonts also cover all Windows Glyph List 4 (WGL4)
        characters, including those found in all 8-bit MS-DOS/Windows
        code pages. The 8-bit variants of the ``-misc-fixed-*'' BDF
        fonts (ISO8859-1, ISO8859-2, KOI8-R, etc.) have all been
        automatically generated from the new ISO10646-1 master fonts.

  <item>Some ``-misc-fixed-*'' BDF ISO10646-1 fonts now cover a
        comprehensive Unicode repertoire of over 3000 characters
        including all Latin, Greek, Cyrillic, Armenian, Gregorian,
        Hebrew, IPA, and APL characters, plus numerous scientific,
	typographic, technical, and backwards-compatibility
        symbols. Some of these fonts also cover Arabic, Ethiopian,
        Thai, Han/Kanji, Hangul, full ISO 8859, and more. For the 6x13
        font there is now a 12x13ja Kanji extension and for the 9x18
        font there is a 18x18ja Kanji/Han/Hangul extension, which
        covers all ISO-2022-JP-2 (RFC 1554) characters. The 9x18 font
        can also be used to implement simple combining characters by
        accent overstriking. For more information, read Markus Kuhn's
        <url name="UTF-8 and Unicode FAQ"
        url="http://www.cl.cam.ac.uk/~mgk25/unicode.html">.

  <item>Mark Leisher's ClearlyU proportional font (similar to Computer
	Modern).

  <item>ISO 10646/Unicode UTF-8 Level 1 support added to xterm
	(enabled with the <tt>-u8</tt> option).

  <item>The Freetype backend (the <tt>"freetype"</tt> module) supports
	Unicode-encoded fonts.

</itemize>

<sect1>Xlib Compose file support and extensions <label id="compose">
<p>

A more flexible Compose file processing system was added to Xlib in
X11R&relvers;.  The compose file is searched for in 
the following order:

<enum>
<item>If the environment variable <bf>$XCOMPOSEFILE</bf> is set, its value
is used as the name of the Compose file.

<item>If the user's home directory has a file named "<tt>.XCompose</tt>", it
is used as the Compose file.

<item>The old method is used, and the compose file is
"&lt;<it>xlocaledir</it>&gt;<tt>/</tt>&lt;<it>localename</it>&gt;<tt>/Compose</tt>".

</enum>

Compose files can now use an "include" instruction.  This allows local
modifications to be made to existing compose files without including all
of the content directly.  For example, the system's iso8859-1 compose file
can be included with a line like this:
<tscreen><verb>include "/usr/X11R6/lib/X11/locale/iso8859-1/Compose"</verb></tscreen>There 
are two substitutions that can be made in the file name of the
include instruction.  <bf>%H</bf> expands to the user's home directory
(the <bf>$HOME</bf> environment variable), and <bf>%L</bf> expands to the
name of the locale specific Compose file (i.e., 
"&lt;<it>xlocaledir</it>&gt;<tt>/</tt>&lt;<it>localename</it>&gt;<tt>/Compose</tt>").

For example, you can include in your compose file the default Compose file
by using:
<tscreen><verb>include "%L"</verb></tscreen>and 
then rewrite only the few rules that you need to change.  New compose
rules can be added, and previous ones replaced.

Finally, it is no longer necessary to specify in the right part of a rule
a locale encoded string in addition to the keysym name.  If the string is
omitted, Xlib figures it out from the keysym according to the current
locale.  I.e., if a rule looks like:
<tscreen><verb><dead_grave> <A> : "\300" Agrave</verb></tscreen>the 
result of the composition is always the letter with the "\300" code.
But if the rule is:
<tscreen><verb><dead_grave> <A> : Agrave</verb></tscreen>the
result depends on how Agrave is mapped in the current locale.

<sect1>Bitstream Vera fonts <label id="vera">
<p>

X11R&relvers; includes the Bitstream Vera family of typefaces in TrueType
format.  This family includes the ``Bitstream Vera Sans'', ``Bitstream
Vera Sans Mono'' and ``Bitstream Vera Serif'' in Roman and Bold varients
as well as the ``Bitstream Vera Sans'' and ``Bitstream Vera Sans Mono''
in Oblique and Bold Oblique.
These fonts include all of the glyphs needed for ISO&nbsp; 8859 parts 1 9
and 15.

The license terms for the Vera fonts are inclued in the file
<tt/COPYRIGHT.Vera/.

<sect1>Luxi fonts from Bigelow and Holmes <label id="luxi">
<p>

The X distribution includes the ``Luxi'' family of Type&nbsp;1 fonts and 
TrueType
fonts.  This family consists of the fonts ``Luxi&nbsp;Serif'',
``Luxi&nbsp;Sans'' and ``Luxi&nbsp;Mono'' in Roman, oblique, bold and
bold oblique variants.  The TrueType version have glyphs covering the
basic ASCII Unicode range, the Latin&nbsp;1 range, as well as the
<it/Extended Latin/ range and some additional punctuation characters.
In particular, these fonts include all the glyphs needed for ISO&nbsp;8859
parts 1, 2, 3, 4, 9, 13 and 15, as well as all the glyphs in the Adobe
Standard encoding and the Windows 3.1  character set.

The glyph coverage of the Type&nbsp;1 versions is somewhat reduced,
and only covers ISO&nbsp;8859 parts 1, 2 and 15 as well as the Adobe
Standard encoding.

The Luxi fonts are original designs by Kris Holmes and Charles Bigelow
from Bigelow and Holmes Inc., who developed the Luxi typeface designs
in Ikarus digital format.  URW++ Design and Development GmbH converted
the Ikarus format fonts to TrueType and Type&nbsp;1 font programs and
implemented the grid-fitting "hints" and kerning tables in the Luxi
fonts.

The license terms for the Luxi fonts are included in the file
`<tt/COPYRIGHT.BH/', as well as in the <htmlurl
name="License document" url="LICENSE.html">.  For further information,
please contact
<email>design@bigelowandholmes.com</email> or
<email>info@urwpp.de</email>, or consult the
<url name="URW++ web site" url="http://www.urwpp.de">.


<sect>Miscellaneous
<p>
This section describes other items of note for the X11R&relvers;
release.

<sect1>Legacy keyboard driver phase-out
<p>
The legacy keyboard driver is no longer compiled into the X server by
default on certain platforms (including Linux).  The newer <tt>kbd</tt>
driver replaces the older built-in driver.  It is suggested that, if the
X server says that it cannot load the keyboard driver, then the
<tt>xorg.conf</tt> file should be updated to use the new <tt>kbd</tt>
driver, which can be done by changing the <tt>Driver</tt> line in the
<tt>InputDevice</tt> section.  For example,

<verb>
Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
EndSection
</verb>
Note that the driver name is case-sensitive.

<sect1>Socket directory ownership and permissions
<p>
The socket directories created in <tt>/tmp</tt> are now required to be
owned by root and have their sticky-bit set.  If the premissions are not
set correctly, the component using this directory will print an error
message and fail to start.  Common socket directories that are known to
be affected include:
<verb>
/tmp/.font-unix
/tmp/.ICE-unix
/tmp/.X11-unix
</verb>
These directories are used by the font server, <tt>xfs</tt>,
applications using the Inter-Client Exchange protocol (ICE) and the X
server, respectively.
<p>
There are several solutions to the problem of when to create these
directories.  They could be created at install time by the system's
installer if the <tt>/tmp</tt> dir is persistent.  They could be created
at boot time by the system's boot scripts (e.g., the <tt>init.d</tt>
scripts).  Or, they could be created by PAM modules at service startup
or user login time.
<p>
The solution chosen is platform dependent, and the system administrator
should be able to handle creating those directories on any systems that
do not have the correct ownership or permissions.

<sect1>Composite exposes extra visuals
<p>
When the Composite extension is enabled via <tt>xorg.conf</tt> or the
command line, a new visual is created.  This visual is different from
the other visuals used by X applications in that it includes an alpha
component.  It is used by the compositing manager and other Composite
aware applications.
<p>
Most X applications ignore this visual since it is not useful to them;
however some applications mistakenly try to use it, which will cause
them to fail.  An environment variable, <tt>XLIB_SKIP_ARGB_VISUALS</tt>,
was added to the X11 library to hide this visual from applications that
mistakenly try to use it.  If an application fails only when the
Composite is enabled, try setting this environment variable before
starting the application.
<p>
Since Composite is not enabled by default, it is not expected that this
issue will be visible to most users.

<sect>Attributions/Acknowledgements/Credits

This section lists the credits for the X11R&relvers; release.  For a more
detailed breakdown, refer to the ChangeLog file in the X.Org source
tree, the ChangeLog's in <url name="the xorg product in
freedesktop.org's CVS"
url="http://freedesktop.org/cgi-bin/viewcvs.cgi/xorg/xc/Attic/"> or
the 'cvs log' information for individual source files.

<![ %snapshot [
<bf>THIS IS A DRAFT OF THE X11R&relvers; CREDITS SECTION.</bf>
If you find missing credits, incorrect attributions, or other errors, please
send details to <email>xorg@freedesktop.org</email>.
]]>

<P>
<descrip>
<tag>These people contributed in some way to X11R&relvers;</tag>
Paul Anderson, 
Eric Anholt, 
Dave Airlie, 
Donnie Berkholz, 
Daniel Berrange, 
Thomas Biege, 
Russ Blaine, 
Ryan Breen, 
Alan Coopersmith, 
Jay Cotton, 
Michel Daenzer, 
David Dawes,
Kevin DeKorte, 
Alex Deucher, 
Stefan Dirsch, 
Egbert Eich, 
Rik Faith,
Jim Gettys, 
Giuseppe Ghib&ograve;, 
Thomas Gilg, 
Alexander Gottwald, 
Mike A. Harris, 
John Harper, 
John Heasley, 
Jeremy Huddleston, 
Matthieu Herrb, 
Alan Hourihane, 
Jay Hobson, 
Matthias Hopf, 
Kristian H&oslash;sberg, 
Harold L. Hunt II, 
Adam Jackson, 
Daniel Jacobowitz, 
Deron Johnson, 
Masaki Katakai, 
Stephen Kennedy, 
Ivan Kokshaysky, 
Stuart Kreitman, 
Peter Kunzman,
Julien Lafon, 
Nolan Leake,
Ryan Lortie, 
Andreas Luik, 
Torrey T. Lyons, 
Roland Mainz, 
Guy Martin, 
Kevin E. Martin, 
Dan McNichol, 
Dagfinn Ilmari Mannsaker, 
Simon Montagu, 
Keith Packard, 
Greg Parker, 
Drew Parsons, 
Aaron Plattner, 
Branden Robinson, 
S&oslash;ren Sandmann,
Ty Sarna, 
Yu Shao, 
Gustavo Noronha Silva, 
Bryan Stine, 
Owen Taylor, 
Travis Tilley, 
Ryan Underwood, 
Ronny Vindenes, 
Chisato Yamauchi,
Mark Vojkovich, 
Tim Yamin,
Hui Yu
</descrip>

<p>
The X Window System has been a collaborative effort from its inception. 
Our apologies for anyone or organization inadvertently overlooked.
Many individuals (including major contributors) who worked on X are
represented by their employers in this list.
<p>
<descrip>

<tag>This product includes software developed by: </tag>

Paul Anderson,
Michael Bax,
Jehan Bing,
Peter Breitenlohner,
Alan Coopersmith,
Thomas Dickey, 
Egbert Eich,
John Dennis,
Fabrizio Gennari,
Jim Gettys,
Alexander Gottwald,
Ralf Habacker,
Mike Harris,
Mattheiu Herrb,
Alan Hourihane,
Harold L Hunt II,
Elliot Lee,
Jeremy Katz,
Kaleb Keithley,
Stuart Kreitman,
Andreas Luik,
Torrey Lyons,
Roland Mainz,
Kevin E. Martin,
Takuma Murakami,
Kensuke Matsuzaki,
Keith Packard,
Ivan Pascal,
Earle F. Philhower III,
Benjamin Rienfenstahl,
Leon Shiman,
Toshimitsu Tanaka,
Nicholas Wourms,
2d3d Inc., 
Aaron Plattner, 
Adam de Boor, 
Adam Jackson, 
Adobe Systems Inc., 
After X-TT Project, 
AGE Logic Inc., 
Alan Coopersmith, 
Alan Cox, 
Alan Hourihane, 
Alexander Gottwald, 
Alex Deucher, 
Andreas Luik, 
Andreas Monitzer, 
Andrew C Aitchison, 
Andy Ritger, 
Ani Joshi, 
Anton Zioviev, 
Apollo Computer Inc., 
Apple Computer Inc., 
Ares Software Corp., 
AT&amp;T Inc., 
ATI Technologies Inc., 
Benjamin Rienfenstahl, 
Bigelow and Holmes, 
Bill Reynolds, 
Bitstream Inc., 
Bitstream, 
Inc, 
Brian Fundakowski Feldman, 
Brian Goines, 
Brian Paul, 
Bruno Haible, 
Bryan Stine, 
Charles Murcko, 
Chen Xiangyang, 
Chisato Yamauchi, 
Chris Constello, 
Christian Zietz, 
Cognition Corp., 
Compaq Computer Corporation, 
Concurrent Computer Corporation, 
Conectiva S.A., 
Corin Anderson, 
Craig Struble, 
Daewoo Electronics Co. Ltd., 
Dale Schumacher, 
Damien Miller, 
Daniel Berrange, 
Daniel Stone, 
Daniver Limited, 
Daryll Strauss, 
Data General Corporation, 
David Bateman, 
David Dawes, 
David E. Wexelblat, 
David Holland, 
David J. McKay, 
David McCullough, 
David Mosberger-Tang, 
David S. Miller, 
Davor Matic, 
Deron Johnson, 
Digital Equipment Corporation, 
Dirk Hohndel, 
Doug Anson, 
Earle F. Philhower III, 
Edouard TISSERANT, 
Eduardo Horvath, 
Egbert Eich, 
Elliot Lee, 
Eric Anholt, 
Eric Fortune, 
Eric Sunshine, 
Erik Fortune, 
Erik Nygren, 
Evans & Sutherland Computer Corporation, 
Fabio Massimo Di Nitto Fabrizio Gennari, 
Finn Thoegersen, 
Frederic Lepied, 
Free Software Foundation Inc., 
Fujitsu Limited, 
Fujitsu Open Systems Solutions Inc., 
Fuji Xerox Co. Ltd., 
Geert Uytterhoeven, 
Gerrit Jan Akkerman, 
Gerry Toll, 
Glenn G. Lai, 
GNOME Foundation, 
Go Watanabe, 
Gregory Mokhin, 
Greg Parker, 
GROUPE BULL, 
Guy Martin, 
Hans Oey, 
Harald Koenig, 
Harm Hanemaayer, 
Harold L Hunt II, 
Harry Langenbacher, 
Henry A. Worth, 
Hewlett-Packard Company, 
Hitachi Ltd, 
Holger Veit, 
Howard Greenwell, 
Hummingbird Communications Ltd., 
IBM Corporation, 
Intel Corporation, 
INTERACTIVE Systems Corporation, 
International Business Machines Corp., 
Itai Nahshon, 
Ivan Kokshaysky, 
Ivan Pascal, 
Jakub Jelinek, 
James Tsillas, 
Jason Bacon, 
Jean-loup Gailly, 
Jeff Kirk, 
Jeffrey Hsu, 
Jehan Bing, 
Jeremy Katz, 
Jim Gettys, 
Jim Tsillas, 
J. Kean Johnston, 
John Dennis, 
John Harper, 
John Heasley, 
Jon Block, 
Jon Tombs, 
Jorge Delgado, 
Joseph Friedman, 
Joseph V. Moss, 
Juliusz Chroboczek, 
Jyunji Takagi, 
Kaleb Keithley, 
Kaleb S. Keithley, 
Kazushi (Jam) Marukawa, 
Kazuyuki (ikko-) Okamoto, 
Kean Johnston. Keith Packard, 
Keith Packard, 
Keith Whitwell, 
Kensuke Matsuzaki, 
Kristian H&oslash;gsberg, 
Larry Wall, 
Lawrence Berkeley Laboratory, 
Lennart Augustsson, 
Leon Shiman, 
Lexmark International Inc., 
Linus Torvalds, 
Luc Verhaegen, 
Machine Vision Holdings Inc., 
Manfred Brands, 
Marc Aurele La France Mark Adler, 
Mark J. Kilgard, 
Mark Leisher, 
Mark Smulders, 
Mark Vojkovich, 
Massachusetts Institute Of Technology, 
Matrox Graphics, 
Mattheiu Herrb Matthew Grossman, 
Matthieu Herrb, 
Metro Link Inc., 
Michael Bax, 
Michael H. Schimek, 
Michael P. Marking, 
Michael Schimek, 
Michael Smith, 
Michel Daenzer, 
Mike A. Harris, 
Mike Harris, 
Ming Yu, 
MIPS Computer Systems Inc., 
National Semiconductor, 
NCR Corporation Inc., 
Netscape Communications Corporation, 
Network Computing Devices Inc., 
Nicholas Wourms, 
Noah Levitt, 
Nolan Leake, 
Novell Inc., 
Nozomi YTOW, 
NTT Software Corporation, 
Number Nine Computer Corp., 
Number Nine Visual Technologies, 
NVIDIA Corp., 
Oivier Danet, 
Oki Technosystems Laboratory Inc., 
OMRON Corporation, 
Open Software Foundation, 
Orest Zborowski, 
Owen Taylor, 
Pablo Saratxaga, 
Panacea Inc., 
Panagiotis Tsirigotis, 
Paolo Severini, 
Pascal Haible, 
Patrick Lecoanet, 
Patrick Lerda, 
Paul Anderson, 
Paul Elliott, 
Peter Breitenlohner, 
Peter Kunzmann, 
Peter Trattler, 
Philip Homburg, 
Precision Insight Inc., 
Prentice Hall, 
Quarterdeck Office Systems, 
Ralf Habacker Randy Hendry, 
Ranier Keller, 
Red Hat Inc., 
Regents of the University of California, 
Regis Cridlig, 
Rene Cougnenc, 
Richard A. Hecker, 
Richard Burdick, 
Rich Murphey, 
Rickard E. Faith, 
Rik Faith, 
Robert Baron, 
Robert Chesler, 
Robert Millan. Robert V. Baron, 
Robin Cutshaw, 
Roland Mainz, 
Ronny Vindenes, 
Russ Blaine, 
Ryan Breen, 
Ryan Lortie, 
Ryan Underwood, 
S3 Graphics Inc., 
Sam Leffler, 
SciTech Software, 
Scott Laird, 
Sebastien Marineau, 
Shigehiro Nomura, 
ShoGraphics Inc., 
Shunsuke Akiyama, 
Silicon Graphics Computer Systems Inc., 
Silicon Integrated Systems Corp Inc., 
Silicon Motion Inc., 
Simon P. Cooper, 
Snitily Graphics Consulting Services, 
Sony Corporation, 
S&oslash;ren Sandmann, 
SRI, 
Stanislav Brabec, 
Stefan Dirsch, 
Stephan Dirsch, 
Stephan Lang, 
Steven Lang, 
Stuart Kreitman, 
Sun Microsystems Inc., 
SunSoft Inc., 
SuSE Inc, 
Sven Luther, 
Takis Psarogiannakopoulos, 
Takuma Murakami, 
Takuya SHIOZAKI, 
Tektronix Inc., 
The DOS-EMU-Development-Team, 
The Institute of Software Academia Sinica, 
The NetBSD Foundation, 
Theo de Raadt, 
Theodore Ts'o, 
The Open Group, 
The Open Software Foundation, 
The Regents of the University of California, 
The Santa Cruz Operation Inc., 
The Weather Channel Inc., 
The X Consortium, 
The XFree86 Project Inc., 
Thomas E. Dickey, 
Thomas G. Lane, 
Thomas Hellstr&ouml;m, 
Thomas Mueller, 
Thomas Roell, 
Thomas Thanner, 
Thomas Winischhofer, 
Thomas Wolfram, 
Thorsten.Ohl, 
Tiago Gons, 
Todd C. Miller, 
Tomohiro KUBOTA, 
Torrey Lyons, 
Torrey T. Lyons, 
TOSHIBA Corp., 
Toshimitsu Tanaka, 
Travis Tilley, 
Tungsten Graphics Inc., 
Ty Sarna, 
UCHIYAMA Yasushi, 
Unicode Inc., 
UniSoft Group Limited, 
University of Utah, 
UNIX System Laboratories Inc., 
URW++ GmbH, 
VA Linux Systems, 
VIA Technologies Inc., 
Video Electronics Standard, 
VMware Inc., 
Vrije Universiteit, 
Wittawat Yamwong, 
Wyse Technology Inc., 
X Consortium, 
Xi Graphics Inc., 
X-Oz Technologies, 
X-TrueType Server Project and their contributors,
Yu Shao,

This product includes software developed by The XFree86 Project, Inc
(http://www.xfree86.org/) and its contributors.

This produce includes software that is based in part of the work of the
FreeType Team (http://www.freetype.org).

This product includes software developed by the University of California,
Berkeley and its contributors.

This product includes software developed by Christopher G. Demetriou.

This product includes software developed by the NetBSD Foundation, Inc. and its
contributors.

This product includes software developed by the X-Oz Technologies and its
contributors.

</descrip>

</article>
